// --------------------------------------------------------------------------------------------------------------------------------
//      _         _                                       
//     | |       | |                                      
//  ___| | __ ___| | __ _  ___ _ __       ___ _ __  _ __  
// / __| |/ // _ \ |/ _` |/ _ \ '_ \     / __| '_ \| '_ \ 
// \__ \   <|  __/ | (_| |  __/ | | | _ | (__| |_) | |_) |
// |___/_|\_\\___|_|\__, |\___|_| |_|(_) \___| .__/| .__/ 
//                   __/ |                   | |   | |    
//                  |___/                    |_|   |_|    
// Primary SkelGen application class (Windows version)
//
// Best viewed with 8-character tabs and (at least) 132 columns
//
// ---------------------------------------------------------------------------------------------------------------------------------
//
// Restrictions & freedoms pertaining to usage and redistribution of this software:
//
//  * This software is 100% free
//  * If you use this software (in part or in whole) you must credit the author.
//  * This software may not be re-distributed (in part or in whole) in a modified
//    form without clear documentation on how to obtain a copy of the original work.
//  * You may not use this software to directly or indirectly cause harm to others.
//  * This software is provided as-is and without warrantee. Use at your own risk.
//
// For more information, visit HTTP://www.FluidStudios.com
//
// --------------------------------------------------------------------------------------------------------------------------------
// Originally created on 10/23/2000 by Paul Nettle (midnight@FluidStudios.com)
//
// Copyright 2000, Fluid Studios, Inc., all rights reserved.
// --------------------------------------------------------------------------------------------------------------------------------

#include "skelgen.h"

// --------------------------------------------------------------------------------------------------------------------------------

CSkelGenApp	theApp;

// --------------------------------------------------------------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(CSkelGenApp, CWinApp)
	//{{AFX_MSG_MAP(CSkelGenApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

// --------------------------------------------------------------------------------------------------------------------------------

	CSkelGenApp::CSkelGenApp()
{
}

// --------------------------------------------------------------------------------------------------------------------------------

BOOL	CSkelGenApp::InitInstance()
{
	Enable3dControlsStatic();	// Call this when linking to MFC statically

	SetRegistryKey("Nettle");

	CSkelGenDlg dlg;
	dlg.DoModal();

	return FALSE;
}

// --------------------------------------------------------------------------------------------------------------------------------
// skelgen.cpp - End of file
// --------------------------------------------------------------------------------------------------------------------------------
